﻿using MyWpfApp.models;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace MyWpfApp.Pages
{
    /// <summary>
    /// Логика взаимодействия для PageUserList.xaml
    /// </summary>
    public partial class PageUserList : Page
    {
        UserListModel users = new UserListModel();//источник данных
        public PageUserList()
        {
            InitializeComponent();           
            DataContext = users;          
        }

       

        private void Button_Click(object sender, RoutedEventArgs e)//редактирование существующего пользователя
        {
            Button btn = (Button)sender;//понимаем, какая именно кнопка из шаблона вызвала событие
            int ID = Convert.ToInt32(btn.Uid);//к полю Uid кнопки из списка привязан ID записи из базы
            LoginedTable user = Globals.MyGlobalConnection.LoginedTable.FirstOrDefault(x=>x.ID == ID);//получаем эту запись по известному ID
            if (user != null)//на вский случай проверяем, что запись существует. а то мало ли чего
            {
                Globals.MyGlobalFrame.Navigate(new PageUserInfo(user));//переход на страницу в режиме редактирования
            }
        }

        private void BtnAddUser_Click(object sender, RoutedEventArgs e)//переход на страницу добавления нового пользователя
        {
            Globals.MyGlobalFrame.Navigate(new PageUserInfo());//переход на страницу в режиме добавления            
        }

       
        

        private void btnResetFilters_Click(object sender, RoutedEventArgs e)//сбрасывает все фильтры
        {
            users.Surname = null;
            users.IdRole = 0;
        }
    }
}
