﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.ComponentModel;
using System.Windows.Media;

namespace MyWpfApp.models
{
/// <summary>
/// Data Context для работы с изображениями 
/// </summary>
    internal class ImageBindings:INotifyPropertyChanged
    {
        //событие изменения свойства (нужно для оповещения необходимости отрисовки в XAML)
        public event PropertyChangedEventHandler PropertyChanged;
        
        //поле, которое содержит путь к картинке
        string path; 

        public string ImgPath //свойство, которое инкапсулирует поле Path. Используется для загрузки картинки при известном пути
        { get => path; set
            {
                path = value;
                PropertyChanged.Invoke(this, new PropertyChangedEventArgs(nameof(ImgPath)));//оповещаем о необходимости изменить отрисовку
            }
        }

        ImageSource imageSource;//поле, которое содержит ImageSource (для соответствующего свойства у Image в XAML)
        public ImageSource ImageSource //для загрузки картинки из массива байт
        { get => imageSource; set
            {
                imageSource = value;
                PropertyChanged.Invoke(this, new PropertyChangedEventArgs(nameof(ImageSource)));
            }
         }
    }
}
